package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

public class MallStoreMngChange implements Serializable {
    private Integer id;

    private Integer storeChangeNum;

    private Integer storeOriginalNum;

    private Integer storeValidNum;

    private String merchSn;

    private Integer storeId;

    private String sku;

    private Integer isValid;

    private String createrSn;

    private Date createTime;

    private String moderSn;

    private Date modTime;

    private Date tstm;

    private static final long serialVersionUID = 1L;

    public MallStoreMngChange() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getStoreChangeNum() {
        return storeChangeNum;
    }

    public void setStoreChangeNum(Integer storeChangeNum) {
        this.storeChangeNum = storeChangeNum;
    }

    public Integer getStoreOriginalNum() {
        return storeOriginalNum;
    }

    public void setStoreOriginalNum(Integer storeOriginalNum) {
        this.storeOriginalNum = storeOriginalNum;
    }

    public Integer getStoreValidNum() {
        return storeValidNum;
    }

    public void setStoreValidNum(Integer storeValidNum) {
        this.storeValidNum = storeValidNum;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn == null ? null : merchSn.trim();
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku == null ? null : sku.trim();
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn == null ? null : createrSn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn == null ? null : moderSn.trim();
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }
}